Ant API: Class Get

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Get

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Get

public class Get
extends Task

Get a particular source.

Author:
  costin@dnt.ro

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Get()`

Method Summary
`void` | `execute()` Does the work.
`void` | `setDest(java.lang.String dest)` Where to copy the source file.
`void` | `setIgnoreErrors(java.lang.String v)` Don't stop if get fails if set to "`true`".
`void` | `setSrc(java.lang.String d)` Set the URL.
`void` | `setVerbose(java.lang.String v)` Be verbose, if set to "`true`".

Methods inherited from class org.apache.tools.ant.Task
`getDescription, init, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Get

    public Get()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Does the work.
  Overrides:
    execute in class Task
  Throws:
    BuildException - Thrown in unrecovrable error.

### setSrc

    public void setSrc(java.lang.String d)

  Set the URL.
  Parameters:
    `d` - URL for the file.

### setDest

    public void setDest(java.lang.String dest)

  Where to copy the source file.
  Parameters:
    `dest` - Path to file.

### setVerbose

    public void setVerbose(java.lang.String v)

  Be verbose, if set to "`true`".
  Parameters:
    `v` - if "true" then be verbose

### setIgnoreErrors

    public void setIgnoreErrors(java.lang.String v)

  Don't stop if get fails if set to "`true`".
  Parameters:
    `v` - if "true" then be verbose

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.